:- consult('../plnxt/plnxt.pl').
 
start :-
	nxt_open,
	thread_create(go_on_buddy,_,[detached(true)]).
 
go_on_buddy :-
	nxt_go(400),
        sleep(1), % Chwila przerwy, żeby jedno klaśnięcie nie zostało rozpoznane jako dwa.
	trigger_create(_,clap,wait_a_second),
	trigger_create(_,light,move).
 
wait_a_second :-	
	nxt_stop,	
        sleep(1),
	trigger_create(_,clap,wait_a_second).
 
move :-
	nxt_stop,
	nxt_rotate(400,180),
        sleep(1),
	nxt_go(400),
	trigger_create(_,light,move).

% Sprawdzenie, czy natężenie dźwięku przekracza progową wartość.
clap :-
	nxt_sound(Value,force),
	Value > 80.
 
light :- 
	nxt_light(Value,force),
	write(Value),
	write('\n'),
	Value < 45.

stop :-
	trigger_killall,
	nxt_stop,
	nxt_close.
